%define _requires_exceptions libnspr4\\|libplc4\\|libplds4\\|libnss\\|libsmime3\\|libsoftokn\\|libssl3\\|libgtkembedmoz\\|libxpcom

%define epiver 1.6.4-2mdk

Summary: Plugins for the Epiphany Web Browser
Name: epiphany-extensions
Version: 1.6.5
Release: 4mdk
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0: epiphany-extensions-1.5.8-firefox.patch.bz2
# (fc) 1.6.3-2mdk fix major in some extensions
Patch1: epiphany-extensions-1.6.3-fixextensions.patch.bz2
License: GPL
Group: Networking/WWW
Url: http://epiphany.mozdev.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: epiphany-devel >= %epiver
BuildRequires: mozilla-firefox-devel
BuildRequires: OpenSP-devel
BuildRequires: pcre-devel
BuildRequires: perl-XML-Parser
BuildRequires: automake1.9
BuildRequires: gnome-common
BuildRequires: intltool
Requires: epiphany >= %epiver

%description

This package contains the following extensions for the Epiphany Browser:
Gestures
Popup blocker
Tabs menu

%prep
%setup -q
%patch0 -p1 -b .firefox
%patch1 -p1 -b .fixextensions

aclocal-1.9
autoconf
automake-1.9

cp extensions/error-viewer/README README.error-viewer

%build
%configure2_5x --with-extensions=actions,bookmarks-tray,certificates,dashboard,error-viewer,extensions-manager-ui,find,gestures,net-monitor,page-info,select-stylesheet,sidebar,smart-bookmarks,tab-groups,tab-states,tabsmenu --with-mozilla=mozilla-firefox
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name-1.6

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/epiphany-1.6/extensions/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name-1.6.lang
%defattr(-,root,root)
%doc COPYING* AUTHORS ChangeLog NEWS README*
%doc extensions/gestures/ephy-gestures.xml
%_datadir/%name/*
%_libdir/epiphany-1.6/extensions/*


%changelog
* Fri Sep 16 2005 Gtz Waschk <waschk@mandriva.org> 1.6.5-4mdk
- disable adblock extension

* Wed Sep 14 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.5-3mdk
- Add requires_exception to prevent from asking mozilla

* Fri Aug 19 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.6.5-2mdk
- add BuildRequires: gnome-common intltool

* Sun Aug 14 2005 Gtz Waschk <waschk@mandriva.org> 1.6.5-1mdk
- New release 1.6.5

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.4-4mdk 
- Drop sample extensions

* Tue Jul 19 2005 Gtz Waschk <waschk@mandriva.org> 1.6.4-3mdk
- fix buildrequires

* Tue Jul 19 2005 Gtz Waschk <waschk@mandriva.org> 1.6.4-2mdk
- enable all extensions

* Wed Jul 06 2005 Gtz Waschk <waschk@mandriva.org> 1.6.4-1mdk
- New release 1.6.4

* Sat May 28 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.6.3-3mdk
- add BuildRequires: automake1.9

* Wed May 25 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.3-2mdk 
- Rebuild with FF 1.0.4
- don't package .la files
- Patch1: fix extensions so name

* Sat Apr 23 2005 Gtz Waschk <waschk@mandriva.org> 1.6.3-1mdk
- New release 1.6.3

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 1.6.2-1mdk
- New release 1.6.2
- requires new epiphany
- enable all extensions
- patch for firefox
- fix deps

* Mon Feb 14 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.5-1mdk
- New release 1.4.5

* Tue Dec 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.4-2mdk 
- Rebuild with mozilla 1.7.5

* Mon Dec 20 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.4.4-1mdk
- New release 1.4.4

* Mon Nov 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.3-1mdk
- requires new epiphany
- New release 1.4.3

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.2-1mdk
- fix file list
- New release 1.4.2
- Remove patch0 (merged upstream)

* Thu Sep  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-2mdk
- patch to build with mozilla 1.7.2

* Mon Aug  2 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- New release 1.0

* Mon Jun 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- requires new epiphany
- New release 0.9.1

* Thu Jun 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.0-2mdk
- reallow libtoolize
- rebuild for new g++

* Mon May 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.0-1mdk
- New release 0.9.0

* Fri Apr 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-6mdk
- rebuild for new mozilla

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-5mdk
- fix buildrequires again

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-4mdk
- requires epiphany 1.2.1
- another buildrequires fix

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-3mdk
- fix buildrequires

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-2mdk
- fix buildrequires

* Wed Apr 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- new version

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-1mdk
- First package from Gtz Waschk

